Retrieve documents assigned to Company Account Check

Retrieves a paginated list of documents associated with a specific Company Account Check.

This endpoint allows you to:

  • List all documents linked to a company account check
  • Include related resources (user)
  • Sort results by creation date
  • Paginate through large result sets

Results are sorted by creation date (newest first) by default.

Required permissions:

  • documents_read
  • company_account_checks_read

Note: The document feature must be enabled for your account to access this endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

Unique identifier of the company account check for which to retrieve documents. Must be a valid UUID format.

Query Params
integer
1 to 20

Maximum number of documents to return in the response.

Constraints:

  • Minimum: 1
  • Maximum: 20

If not specified, the default pagination limit will be applied.

uuid

Pagination cursor - returns documents created after the document with this ID.

  • Results are ordered by creation date
  • Cannot be used together with ending_before
  • Must be a valid UUID
uuid

Pagination cursor - returns documents created before the document with this ID.

  • Results are ordered by creation date
  • Cannot be used together with starting_after
  • Must be a valid UUID
string
enum

Field and direction to sort results by.

Format:

  • created_at - ascending order (oldest first)
  • -created_at - descending order (newest first)

Supported fields: created_at

Allowed:
string
enum

Comma-separated list of related resources to include in the response.

Including related resources reduces the need for additional API calls, but increases response time and payload size.

Allowed:
Headers
string
enum

Specifies the preferred language for the response. Supported languages:

  • en - English
  • fr - French

If not provided, the default language will be used.

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json